/*
 * JEOPS - The Java Embedded Object Production System
 * Copyright (c) 2000   Carlos Figueira Filho
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
 *
 * Contact: Carlos Figueira Filho (csff@cin.ufpe.br)
 */

package jeops.examples.fibonacci;

/**
 * Test class for the fibonacci example using JEOPS.
 *
 * @author Carlos Figueira Filho (<a href="mailto:csff@cin.ufpe.br">csff@cin.ufpe.br</a>)
 * @version 0.01  15 Mar 2000  Class adapted from previous version of JEOPS.
 */
public class TestFibonacci {

  public static void main(java.lang.String[] args) {
    int n;
    if (args.length == 0) {
      n = 6;
    } else {
      n = Integer.parseInt(args[0]);
    }
    Fibonacci f = new Fibonacci(n);
    FibonacciBase kb = new FibonacciBase(new jeops.conflict.PriorityConflictSet());
    kb.assert(f);
    kb.run();
    System.out.println(f.getN() +
                "th number of the fibonacci series = " +
                f.getValue());
  }

}
